## ros-one-rosbash 1.15.10-1noble.20250531.2028

=== debian/changelog ===
ros-one-rosbash (1.15.10-1noble.20250531.2028) UNRELEASED; urgency=high

  * noble Append timestamp when binarydeb was built.

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sat, 31 May 2025 20:28:13 +0000

ros-one-rosbash (1.15.10-0noble) noble; urgency=high

  * Call realpaths for roslaunch and rosbash. (#309 <https://github.com/ros/ros/issues/309>)
  * Contributors: Ivor Wanders

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sat, 26 Apr 2025 00:00:00 -0000

ros-one-rosbash (1.15.9-0noble) noble; urgency=high

  * roszsh: Fix rosmv completion (#280 <https://github.com/ros/ros/issues/280>)
  * Keep rosed from running if the file doesn't exist in the package (#278 <https://github.com/ros/ros/issues/278>)
  * Contributors: Timon Engelke

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-rosbash (1.15.8-0noble) noble; urgency=high

  * Fix variable name (from $arg to $argv) in rosfish (#279 <https://github.com/ros/ros/issues/279>)
  * Update maintainers (#272 <https://github.com/ros/ros/issues/272>)
  * Contributors: Jacob Perron, Yuma Hiramatsu

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-rosbash (1.15.7-0noble) noble; urgency=high

  * add trailing := to roslaunch args:=value completion (#259 <https://github.com/ros/ros/issues/259>)
  * add quoting to prevent unwanted globbing and word splitting in rosbash (#269 <https://github.com/ros/ros/issues/269>)
  * fix ros_location_find with Python 3 (#270 <https://github.com/ros/ros/issues/270>)

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Sep 2020 00:00:00 -0000

ros-one-rosbash (1.15.6-0noble) noble; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-rosbash (1.15.5-0noble) noble; urgency=high

  * fix for sourcing rosfish (#262 <https://github.com/ros/ros/issues/262>)

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 06 Jul 2020 00:00:00 -0000

ros-one-rosbash (1.15.4-0noble) noble; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 28 May 2020 00:00:00 -0000

ros-one-rosbash (1.15.3-0noble) noble; urgency=high

  * update rosmv function to move file and package both (#254 <https://github.com/ros/ros/issues/254>)

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 14 May 2020 00:00:00 -0000

ros-one-rosbash (1.15.2-0noble) noble; urgency=high

  * add rosmv shell function to move a file from package to target (#247 <https://github.com/ros/ros/issues/247>)

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 07 Apr 2020 00:00:00 -0000

ros-one-rosbash (1.15.1-0noble) noble; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 17 Mar 2020 00:00:00 -0000

ros-one-rosbash (1.15.0-0noble) noble; urgency=high

  * add heuristic to run python devel space relays (#233 <https://github.com/ros/ros/issues/233>)

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 11 Feb 2020 00:00:00 -0000

ros-one-rosbash (1.14.8-0noble) noble; urgency=high

  * update style to pass flake8 (#240 <https://github.com/ros/ros/issues/240>)
  * Replace $1 and $2 with $pkg_name and $file_name (#239 <https://github.com/ros/ros/issues/239>)
  * add roscp. (#237 <https://github.com/ros/ros/issues/237>)
  * Bump CMake version to avoid CMP0048 warning (#234 <https://github.com/ros/ros/issues/234>)
  * fix find -perm /mode usage for FreeBSD (#232 <https://github.com/ros/ros/issues/232>)

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 11 Feb 2020 00:00:00 -0000

ros-one-rosbash (1.14.7-0noble) noble; urgency=high

  * zsh launch args completion (#217 <https://github.com/ros/ros/issues/217>)
  * use _rosrun_ prefix for temporary variable (#228 <https://github.com/ros/ros/issues/228>)
  * restore IFS after changing it in rosbash and rosrun (#227 <https://github.com/ros/ros/issues/227>)
  * [revent filename glob expansion in _msg_opts in rosbash (#218 <https://github.com/ros/ros/issues/218>)
  * correct name of the findpath script (#27 <https://github.com/ros/ros/issues/27>) (#213 <https://github.com/ros/ros/issues/213>)

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 03 Oct 2019 00:00:00 -0000

ros-one-rosbash (1.14.6-0noble) noble; urgency=high

  * add roscd, rosls support for Windows (#210 <https://github.com/ros/ros/issues/210>)
  * exclude files when completing roslaunch args (#211 <https://github.com/ros/ros/issues/211>)

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 18 Mar 2019 00:00:00 -0000

ros-one-rosbash (1.14.5-0noble) noble; urgency=high

  * add rosrun.bat (#208 <https://github.com/ros/ros/issues/208>)
  * add verbose output to rosrun if catkin_find fails (#182 <https://github.com/ros/ros/issues/182>)
  * add missing rospack dependency (#189 <https://github.com/ros/ros/issues/189>)
  * fix rosfish (#172 <https://github.com/ros/ros/issues/172>)

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 04 Mar 2019 00:00:00 -0000

ros-one-rosbash (1.14.4-0noble) noble; urgency=high

  * rosrun: array is now properly expanded in debug-echo (#176 <https://github.com/ros/ros/issues/176>)
  * rosbash: replaced ... with $(...) (#177 <https://github.com/ros/ros/issues/177>)
  * rosrun: replaced ... with $(...) (#175 <https://github.com/ros/ros/issues/175>)
  * rosfish: fix syntax error (#171 <https://github.com/ros/ros/issues/171>)
  * fix zsh tab completion for symlinks (#169 <https://github.com/ros/ros/issues/169>)

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 01 May 2018 00:00:00 -0000

ros-one-rosbash (1.14.3-0noble) noble; urgency=high

  * do not remove paths containing ./ or ../ from completion (#162 <https://github.com/ros/ros/issues/162>)

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 30 Jan 2018 00:00:00 -0000

ros-one-rosbash (1.14.2-0noble) noble; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 26 Oct 2017 00:00:00 -0000

ros-one-rosbash (1.14.1-0noble) noble; urgency=high

  * add options in completion for roslaunch to roszsh (#147 <https://github.com/ros/ros/issues/147>)

