=== debian/control ===
Source: ros-one-rosbash
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin (>= 0.7.15)
Homepage: http://www.ros.org/wiki/rosbash
Standards-Version: 3.9.2

Package: ros-one-rosbash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-catkin, ros-one-rospack
Description: Assorted shell commands for using ros with bash.
